## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name simple_extract

Name:           simple-extract
Version:        0.3.2
Release:        %autorelease
Summary:        A small command line utility to help extract compressed archives.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/berrym/simple_extract
Source:         %{pypi_source simple_extract}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A small command line file extraction utility written in Python. It uses external tools to optionally fetch from an url and decompress archives.}

%description %_description

%description -n %{name} %_description

%py_provides %{pypi_name}
Summary:        %{summary}

Recommends:    tar
Recommends:    gzip
Recommends:    bzip2
Recommends:    lha
Recommends:    unzip
Recommends:    rpm2cpio
Recommends:    cpio
Recommends:    ar
Recommends:    xz
Recommends:    zstd
Recommends:    curl
Recommends:    wget


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files 'simple_extract' 'simple_extract*'


%check
%pyproject_check_import


%files -n %{name} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Fri Aug 23 2024 John Doe <packager@example.com> - 0.3.2-1
- Uncommitted changes
## END: Generated by rpmautospec
